Last Comment Bug 662171 - -moz-animation shorthand does not accept "0" as delay value, requires "0s"
: -moz-animation shorthand does not accept "0" as delay value, requires "0s"
Status: VERIFIED DUPLICATE of bug 653999
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-05 10:59 PDT by Marek Stępień [:marcoos, inactive]
Modified: 2014-09-15 08:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Simple testcase for this bug (2.95 KB, text/html)
2011-06-05 10:59 PDT, Marek Stępień [:marcoos, inactive]
no flags Details

Description Marek Stępień [:marcoos, inactive] 2011-06-05 10:59:37 PDT
Created attachment 537464 [details]
Simple testcase for this bug

The -moz-animation shorthand does not accept the unitless 0 as value for delay, it requires "0s". If you ommit the "s", the rule can't be parsed:

This works:
-moz-animation: pulse 3s ease-out 0s infinite normal;

This doesn't:
-moz-animation: pulse 3s ease-out 0 infinite normal;

Since "0" is a valid value for the delay (http://www.w3.org/TR/css3-animations/#the-animation-delay-property-), it should also be accepted in the shorthand.
Comment 1 Marek Stępień [:marcoos, inactive] 2011-06-05 11:00:23 PDT
Also, "none" is accepted as the delay value, but it's nowhere in the spec.
Comment 2 Marek Stępień [:marcoos, inactive] 2011-06-05 11:02:25 PDT
If you open the testcase in a Webkit browser, it will animate all the three divs. Firefox only animates the first one and the third.
Comment 3 Robert Longson 2011-06-05 14:16:03 PDT

*** This bug has been marked as a duplicate of bug 653999 ***
Comment 4 Marek Stępień [:marcoos, inactive] 2011-06-05 14:49:02 PDT
v.
Comment 5 Boris Zbarsky [:bz] (TPAC) 2011-06-06 10:06:23 PDT
> Since "0" is a valid value for the delay (http://www.w3.org/TR/css3-animations/#the-animation-delay-property-)

That draft is just wrong.  See http://lists.w3.org/Archives/Public/www-style/2011May/0002.html
Comment 6 Boris Zbarsky [:bz] (TPAC) 2011-06-06 10:22:08 PDT
> Also, "none" is accepted as the delay value,

No, it's not.  Your shorthand using "none" is:

  animation: pulse 3s ease-out none infinite normal;

And this is being parsed as:

  animation-name: pulse;
  animation-duration: 3s;
  animation-timing-function: ease-out;
  animation-fill-mode: none;
  animation-iteration-count: infinite;
  animation-direction: normal;

with no animation-delay specified at all.

Note also that you're looking at a very out-of-date draft that doesn't even mention animation-fill-mode; the current draft of animations is at http://dev.w3.org/csswg/css3-animations/

Note You need to log in before you can comment on or make changes to this bug.